#!/usr/bin/env python

from email.mime.multipart import MIMEMultipart
from email.mime.application import MIMEApplication
from email.mime.base import MIMEBase
from email.encoders import encode_noop
import sys

if __name__ == "__main__":
    text = sys.stdin.read()
    protocol = "application/pgp-encrypted"
    subtype = "encrypted"

    # Make the container for the message.

    message = MIMEMultipart(subtype, protocol=protocol)

    # For encrypted content, add the declaration and content.

    declaration = MIMEBase("application", "pgp-encrypted")
    declaration.set_payload("Version: 1")
    message.attach(declaration)

    content = MIMEApplication(text, "octet-stream", encode_noop)
    message.attach(content)

    # Show the resulting message text.

    text = message.as_string()

    print text

# vim: tabstop=4 expandtab shiftwidth=4
